Class: Aws::Route53::Types::ListTrafficPolicyInstancesByPolicyRequest
- Inherits:
-
Struct
- Object
- Struct
- Aws::Route53::Types::ListTrafficPolicyInstancesByPolicyRequest
- Defined in:
- gems/aws-sdk-route53/lib/aws-sdk-route53/types.rb
Overview
A complex type that contains the information about the request to list your traffic policy instances.
Constant Summary collapse
- SENSITIVE =
[]
Instance Attribute Summary collapse
-
#hosted_zone_id_marker ⇒ String
If the value of
IsTruncatedin the previous response wastrue, you have more traffic policy instances. -
#max_items ⇒ Integer
The maximum number of traffic policy instances to be included in the response body for this request.
-
#traffic_policy_id ⇒ String
The ID of the traffic policy for which you want to list traffic policy instances.
-
#traffic_policy_instance_name_marker ⇒ String
If the value of
IsTruncatedin the previous response wastrue, you have more traffic policy instances. -
#traffic_policy_instance_type_marker ⇒ String
If the value of
IsTruncatedin the previous response wastrue, you have more traffic policy instances. -
#traffic_policy_version ⇒ Integer
The version of the traffic policy for which you want to list traffic policy instances.
Instance Attribute Details
#hosted_zone_id_marker ⇒ String
If the value of IsTruncated in the previous response was true,
you have more traffic policy instances. To get more traffic policy
instances, submit another ListTrafficPolicyInstancesByPolicy
request.
For the value of hostedzoneid, specify the value of
HostedZoneIdMarker from the previous response, which is the hosted
zone ID of the first traffic policy instance that Amazon Route 53
will return if you submit another request.
If the value of IsTruncated in the previous response was false,
there are no more traffic policy instances to get.
5769 5770 5771 5772 5773 5774 5775 5776 5777 5778 |
# File 'gems/aws-sdk-route53/lib/aws-sdk-route53/types.rb', line 5769 class ListTrafficPolicyInstancesByPolicyRequest < Struct.new( :traffic_policy_id, :traffic_policy_version, :hosted_zone_id_marker, :traffic_policy_instance_name_marker, :traffic_policy_instance_type_marker, :max_items) SENSITIVE = [] include Aws::Structure end |
#max_items ⇒ Integer
The maximum number of traffic policy instances to be included in the
response body for this request. If you have more than MaxItems
traffic policy instances, the value of the IsTruncated element in
the response is true, and the values of HostedZoneIdMarker,
TrafficPolicyInstanceNameMarker, and
TrafficPolicyInstanceTypeMarker represent the first traffic policy
instance that Amazon Route 53 will return if you submit another
request.
5769 5770 5771 5772 5773 5774 5775 5776 5777 5778 |
# File 'gems/aws-sdk-route53/lib/aws-sdk-route53/types.rb', line 5769 class ListTrafficPolicyInstancesByPolicyRequest < Struct.new( :traffic_policy_id, :traffic_policy_version, :hosted_zone_id_marker, :traffic_policy_instance_name_marker, :traffic_policy_instance_type_marker, :max_items) SENSITIVE = [] include Aws::Structure end |
#traffic_policy_id ⇒ String
The ID of the traffic policy for which you want to list traffic policy instances.
5769 5770 5771 5772 5773 5774 5775 5776 5777 5778 |
# File 'gems/aws-sdk-route53/lib/aws-sdk-route53/types.rb', line 5769 class ListTrafficPolicyInstancesByPolicyRequest < Struct.new( :traffic_policy_id, :traffic_policy_version, :hosted_zone_id_marker, :traffic_policy_instance_name_marker, :traffic_policy_instance_type_marker, :max_items) SENSITIVE = [] include Aws::Structure end |
#traffic_policy_instance_name_marker ⇒ String
If the value of IsTruncated in the previous response was true,
you have more traffic policy instances. To get more traffic policy
instances, submit another ListTrafficPolicyInstancesByPolicy
request.
For the value of trafficpolicyinstancename, specify the value of
TrafficPolicyInstanceNameMarker from the previous response, which
is the name of the first traffic policy instance that Amazon Route
53 will return if you submit another request.
If the value of IsTruncated in the previous response was false,
there are no more traffic policy instances to get.
5769 5770 5771 5772 5773 5774 5775 5776 5777 5778 |
# File 'gems/aws-sdk-route53/lib/aws-sdk-route53/types.rb', line 5769 class ListTrafficPolicyInstancesByPolicyRequest < Struct.new( :traffic_policy_id, :traffic_policy_version, :hosted_zone_id_marker, :traffic_policy_instance_name_marker, :traffic_policy_instance_type_marker, :max_items) SENSITIVE = [] include Aws::Structure end |
#traffic_policy_instance_type_marker ⇒ String
If the value of IsTruncated in the previous response was true,
you have more traffic policy instances. To get more traffic policy
instances, submit another ListTrafficPolicyInstancesByPolicy
request.
For the value of trafficpolicyinstancetype, specify the value of
TrafficPolicyInstanceTypeMarker from the previous response, which
is the name of the first traffic policy instance that Amazon Route
53 will return if you submit another request.
If the value of IsTruncated in the previous response was false,
there are no more traffic policy instances to get.
5769 5770 5771 5772 5773 5774 5775 5776 5777 5778 |
# File 'gems/aws-sdk-route53/lib/aws-sdk-route53/types.rb', line 5769 class ListTrafficPolicyInstancesByPolicyRequest < Struct.new( :traffic_policy_id, :traffic_policy_version, :hosted_zone_id_marker, :traffic_policy_instance_name_marker, :traffic_policy_instance_type_marker, :max_items) SENSITIVE = [] include Aws::Structure end |
#traffic_policy_version ⇒ Integer
The version of the traffic policy for which you want to list traffic
policy instances. The version must be associated with the traffic
policy that is specified by TrafficPolicyId.
5769 5770 5771 5772 5773 5774 5775 5776 5777 5778 |
# File 'gems/aws-sdk-route53/lib/aws-sdk-route53/types.rb', line 5769 class ListTrafficPolicyInstancesByPolicyRequest < Struct.new( :traffic_policy_id, :traffic_policy_version, :hosted_zone_id_marker, :traffic_policy_instance_name_marker, :traffic_policy_instance_type_marker, :max_items) SENSITIVE = [] include Aws::Structure end |